#!/usr/bin/env rspec

# Copyright (c) [2019] SUSE LLC
#
# All Rights Reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, contact SUSE LLC.
#
# To contact SUSE LLC about this file by physical or electronic mail, you may
# find current contact information at www.suse.com.

require_relative "../../test_helper"

require "yast"
require "y2network/interface_config_builders/qeth"
require "y2network/interface_type"

describe Y2Network::InterfaceConfigBuilders::Qeth do
  subject(:builder) do
    res = Y2Network::InterfaceConfigBuilders::Qeth.new
    res.name = "eth0"
    res
  end

  describe "#type" do
    it "returns qeth type" do
      expect(subject.type).to eq Y2Network::InterfaceType::QETH
    end
  end
end
